target_sources(${PROJECT_NAME}
    PUBLIC
        sacn/node.h
        sacn/receiver.h
        sacn/source.h
        sacn/universe.h
        sacn/provenance.h
    PRIVATE
        sacn/data.cpp
        sacn/data.h
        sacn/extended.cpp
        sacn/extended.h
        sacn/mergeproxyuniverse.cpp
        sacn/mergeproxyuniverse.h
        sacn/node.cpp
        sacn/provenance.cpp
        sacn/provenance.h
        sacn/receiver.cpp
        sacn/sacn.h
        sacn/source.cpp
        sacn/universe.cpp
    )
